[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# UnicodeIsHighSurrogate

Check if a UTF16 character is the high character in a surrogate pair.

## Declaration

Source position: unicodedata.pas line 480

`function UnicodeIsHighSurrogate(`
`const AValue: UnicodeChar`
`):Boolean;`

## Arguments

`AValue` |  | UTF16 character to check

## Function result

True if AValue forms the high character of a surrogate pair

## Description

UnicodeIsHighSurrogate checks whether AValue is a valid high character of a surrogate pair, and returns True if this is the case. It does this by checking whether the values are within the bounds for high characters in surrogate pairs.

## See also

FromUCS4 |  | Convert UCS4 to UNicodeChar
ToUCS4 |  | Encode unicode UTF16 surrogate pair to UCS4 character
UnicodeIsHighSurrogate |  | Check if a UTF16 character is the high character in a surrogate pair.
UnicodeIsLowSurrogate |  | Check if a UTF16 character is the low character in a surrogate pair.
UnicodeIsSurrogatePair |  | Check if a pair of UTF16 encoded characters is a valid surrogate pair.